# this is a horribly nonfunctional Makefile. My apologies :)

CC=gcc

OBJS = \
	lexer.o   \
	parser.o  \
	msil.o    \
	main.o 

bfc : $(OBJS)
	$(CC) $(OBJS) -o $@ $(CFLAGS) $(LDFLAGS)

%.o : %.c
	$(CC) $(CFLAGS) -c $< -o $@

clean : 
	rm -f *.o bfc

